Support

Peridot LE

1.0.1

  • First release.
Mac OS X 10.9 - macOS 11.1
AAX 64b, AU 64b, VST2 64b, VST3 64b, Apple Silicon Compatible
  Sign me up

Please let us know how you plan to use our software: